std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >(3cxx)

NAME
std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache > - local iterators

SYNOPSIS

Inherits std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __cache >.

  Public Types

typedef std::ptrdiff_t difference_type
typedef std::forward_iterator_tag iterator_category
typedef std::conditional< __constant_iterators, const _Value *, _Value * >::type pointer
typedef std::conditional< __constant_iterators, const _Value &, _Value & >::type reference
typedef _Value value_type

  Public Member Functions

_Local_iterator (const __hash_code_base &__base, _Hash_node< _Value, __cache > *__p, std::size_t __bkt, std::size_t __bkt_count)
reference operator* () const
_Local_iterator & operator++ ()
_Local_iterator operator++ (int)
pointer operator-> () const

Detailed Description

  template<typename _Key, typename _Value, typename _ExtractKey, typename _H1, typename _H2, typename _Hash, bool __constant_iterators, bool __cache>
struct std::__detail::_Local_iterator< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, __constant_iterators, __cache >" local iterators

Definition at line 1647 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.